Last modified: 2014-05-04 05:06:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 51170 - ULS tooltip loads before Vector's collapsible nav is applied
ULS tooltip loads before Vector's collapsible nav is applied
Status: RESOLVED INVALID
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Kartik Mistry
: easy
Depends on: 39035
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-07-11 13:11 UTC by Bartosz Dziewoński
Modified: 2014-05-04 05:06 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Copy of screenshot from comment 0 (http://i.imgur.com/dYrtm2d.png) for posterity (47.98 KB, image/png)
2014-02-06 11:20 UTC, Bartosz Dziewoński
Details

Description Bartosz Dziewoński 2013-07-11 13:11:02 UTC
ULS tooltip loads before Vector'scollapsible nav is applied.

http://i.imgur.com/dYrtm2d.png

The tooltip is shown where the cog was before the navigation got collapsed.
Comment 1 Niklas Laxström 2013-07-11 13:24:39 UTC
There is 500 ms delay for the positioning of the cog icon to let collapsible nav to do it's thing first. Looks like the tooltip is not using the same delay for positioning.
Comment 2 Gerrit Notification Bot 2014-02-05 12:25:04 UTC
Change 111438 had a related patch set uploaded by KartikMistry:
Set tooltip load timeout later than cog

https://gerrit.wikimedia.org/r/111438
Comment 3 Gerrit Notification Bot 2014-02-06 09:11:44 UTC
Change 111438 merged by jenkins-bot:
Set tooltip load timeout later than collapsible navs

https://gerrit.wikimedia.org/r/111438
Comment 4 Kartik Mistry 2014-02-06 09:13:52 UTC
Patch is merged.
Comment 5 Bartosz Dziewoński 2014-02-06 11:18:31 UTC
It is, of course, a horrible workaround for an awful problem (the delay was increased from hardcoded 500ms to hardcoded 700ms, great…), and will not solve the issue in all cases, as Nike already commented on the patch.

The author of the original code, whoever that person is, should feel bad for having written it.
Comment 6 Bartosz Dziewoński 2014-02-06 11:20:16 UTC
Created attachment 14505 [details]
Copy of screenshot from comment 0 (http://i.imgur.com/dYrtm2d.png) for posterity
Comment 7 Niklas Laxström 2014-02-06 11:21:54 UTC
Does anybody know what makes collapsible navs so effing slow or run so late on beta.wmflabs? Can it even send an event when it is ready? Or is someone going to remove it in a week?
Comment 8 Bartosz Dziewoński 2014-02-06 11:27:31 UTC
Likely because there's an effing lot of extensions installed, many of which load and execute their own resources.

Core could send an event / fire a hook after collapsing the sidebar, if only someone implemented it. It might be easier to fix this by doing less absolute positioning in ULS instead (which would mean that the tooltip will be in the correct position automagically).
Comment 9 Bartosz Dziewoński 2014-02-06 11:28:48 UTC
(In reply to comment #8)
> Likely because there's an effing lot of extensions installed, many of which
> load and execute their own resources.

Note that I was experiencing this bug on my own testwiki with almost no extensions as well; this largely depends on your computer's speed (how much time it takes it to render the page and execute other scripts, against the hardcoded 500/700 ms limit).
Comment 10 Nemo 2014-02-06 11:53:24 UTC
Better move this side of the conversation to the bug on its slowness, IMHO.
Comment 11 Nemo 2014-05-04 05:06:42 UTC
(In reply to Nemo from comment #10)
> Better move this side of the conversation to the bug on its slowness, IMHO.

Now fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links